Skip to content

Create an Organization

Request

Create an organization

Security
Auth0(Required scopes: offline_accessmanage:services)
Bodyapplication/jsonrequired
namestring, [ 1 .. 64 ] charactersrequired

The name of the organization with whom the contract is held. This can be an agency holding company, agency, advertiser, network, or other media or data buying entity.

org_typeArray of strings, unique

The org_type field is an array that specifies the type of organization.

Items Enum:"buyer""partner"
statusbooleanrequired
websitestring or null, <= 512 characters
facebookstring or null, <= 512 characters
linkedinstring or null, <= 512 characters
twitterstring or null, <= 512 characters
allow_x_agency_pixelsboolean

This field enables the Data Co-op functionality across all the Advertisers under this organization. Cross-Advertiser Pixel Targeting allows Advertisers to target other Advertiser Event Pixels within their Agency and any other similarly enabled Agency under the same Organization.

allow_byo_priceboolean
opt_out_connected_idboolean
opt_out_connected_id_mathidboolean
override_suspicious_traffic_filterboolean

Set flag to 'on’ to be able to override default org wide suspicious traffic filter level.

restrict_targeting_to_same_device_idboolean
restrict_targeting_to_deterministic_idboolean
suspicious_traffic_filter_levelinteger, [ 0 .. 100 ]

Specify an organization-wide level of suspicious traffic filtering to use. See the Knowledge Base for additional details about this feature. This setting will only take affect if the organization's override_suspicious_traffic_filter property is set to 'on'. If override_suspicious_traffic_filter is enabled and suspicious_traffic_filter_level is set to 0, all fraud and suspicious traffic will be filtered.

use_ads_txtboolean
use_evidon_optoutboolean or null

Set flag to 'on’ to show an opt out button on the organization's ads (additional CPM fee will apply when on).

eligible_for_data_sharingboolean
holding_org_idinteger or null, (int32)
Example:8
service_provider_ccpaboolean
mfa_avoidancestring
Enum:"ALLOW_ALL""EXCLUDE_MFA"
mm_contact_namestring, <= 64 charactersrequired

This is the name of the primary internal MediaMath contact of the Organization.

adx_seat_account_idinteger, (int64), [ 1 .. 9223372036854776000 ]required

Passed to ADX upon creative registration so ADX knows which seat we're registering under.

Example:1
connected_id_typestringrequired
Value:"DETERMINISTIC_FIRST"
contact_namestring, <= 64 charactersrequired

This is the primary contact at the organization regarding contract issues.

address_1string, <= 256 charactersrequired

The primary address line, typically includes street address and number.

address_2string or null, <= 256 characters

The secondary address line, used for additional information such as apartment, suite, or unit number.

citystring, <= 32 charactersrequired

The city of the address.

statestring, <= 2 charactersrequired

The state of the address, represented as a 2-character code.

zipstring, <= 10 charactersrequired

The postal or ZIP code for the address.

countrystring, <= 2 charactersrequired

The country of the address, represented as a 2-character ISO country code.

phonestring, <= 24 charactersrequired

The phone number associated with the address, including country code if applicable.

currency_codestring, <= 3 charactersrequired

Currency code for the campaign budget and spend, as well as billing.

billing_country_codestringrequired

Country code that is used for billing purposes.

dmp_enabledstringrequired
Enum:"enabled""disabled"
seatsArray of objects or null(exchange_seat)
mcp_enabledboolean

Controls whether the organization is permitted to access the platform via MCP (Model Context Protocol) tooling.

Default:false
mcp_access_levelstring

Determines the scope of MCP access for the organization. 'read_only' permits read/query operations only. 'read_write' permits all operations including create and update.

Enum:"read_only""read_write"
inf_business_unitstring or null

Available only for internal users.

environmentstring or null

Available only for internal users.

POST
/organizations
curl -i -X POST \
  https://api.mediamath.com/api/v3.0/organizations \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "org_type": [
      "buyer"
    ],
    "status": true,
    "website": "string",
    "facebook": "string",
    "linkedin": "string",
    "twitter": "string",
    "allow_x_agency_pixels": true,
    "allow_byo_price": true,
    "opt_out_connected_id": true,
    "opt_out_connected_id_mathid": true,
    "override_suspicious_traffic_filter": true,
    "restrict_targeting_to_same_device_id": true,
    "restrict_targeting_to_deterministic_id": true,
    "suspicious_traffic_filter_level": 100,
    "use_ads_txt": true,
    "use_evidon_optout": true,
    "eligible_for_data_sharing": true,
    "holding_org_id": 8,
    "service_provider_ccpa": true,
    "mfa_avoidance": "ALLOW_ALL",
    "mm_contact_name": "string",
    "adx_seat_account_id": 1,
    "connected_id_type": "DETERMINISTIC_FIRST",
    "contact_name": "string",
    "address_1": "string",
    "address_2": "string",
    "city": "string",
    "state": "st",
    "zip": "string",
    "country": "st",
    "phone": "string",
    "currency_code": "str",
    "billing_country_code": "string",
    "dmp_enabled": "enabled",
    "seats": [
      {
        "supply_source_id": 5,
        "seat_identifier": "string",
        "bill_media_to_client": true,
        "rmx_exchange_cost_unit": "PCT_MEDIA",
        "rmx_exchange_cost_cpm": 9999999.99,
        "rmx_exchange_cost_pct": 100,
        "status": true
      }
    ],
    "mcp_enabled": false,
    "mcp_access_level": "read_only",
    "inf_business_unit": "string",
    "environment": "string"
  }'

Responses

Organization created response

Bodyapplication/json
dataobject(organization_base)
metaobject
Response
{ "data": { "name": "string", "org_type": [], "status": true, "website": "string", "facebook": "string", "linkedin": "string", "twitter": "string", "allow_x_agency_pixels": true, "allow_byo_price": true, "opt_out_connected_id": true, "opt_out_connected_id_mathid": true, "override_suspicious_traffic_filter": true, "restrict_targeting_to_same_device_id": true, "restrict_targeting_to_deterministic_id": true, "suspicious_traffic_filter_level": 100, "use_ads_txt": true, "use_evidon_optout": true, "eligible_for_data_sharing": true, "holding_org_id": 8, "service_provider_ccpa": true, "mfa_avoidance": "ALLOW_ALL", "mm_contact_name": "string", "adx_seat_account_id": 1, "connected_id_type": "DETERMINISTIC_FIRST", "contact_name": "string", "address_1": "string", "address_2": "string", "city": "string", "state": "st", "zip": "string", "country": "st", "phone": "string", "currency_code": "str", "billing_country_code": "string", "dmp_enabled": "enabled", "seats": [], "mcp_enabled": false, "mcp_access_level": "read_only", "inf_business_unit": "string", "environment": "string", "id": 0, "created_on": "2019-08-24T14:15:22Z", "entity_type": "string", "terminated": true, "updated_on": "2019-08-24T14:15:22Z", "version": 0 }, "meta": { "status": "success" } }